########################################################################
# Introscope EPAgent Plugin Script                               
#                                                                      
# CA Wily Introscope(R) Version 9.7.1 Release 9.7.1.16
# Copyright (c) 2015 CA. All Rights Reserved.
# Introscope(R) is a registered trademark of CA.
#
########################################################################
# httpSvcAvailability.pl 
# ----------------------
# This Plugin Script reports metrics based on the availability
# and performance of the http service at a specified URL.
# It takes 3 command line arguments:
# 1) url  -   Required. a comma-delimited set of URLs 
#             with optional port numbers. The URLs can include
#             port#s (if they are different from defaults) as
#             well as http: or https: to differentiate HTTP vs HTTPS.
# 2) get  -   Optional. specify whether to perform an HTTP GET after
#             connection
# 3) metric - Optional. comma-delimited listing of metrics to return
#       av  = Availability / Can Connect (0=no, 1=yes)
#       rt  = Round-Trip Response Time (for connect + HEAD). 
#       tp  = Throughput 
#       all = all statistics
#    Default: all metrics
#
########################################################################

##########
# Imports
##########

use strict;

use FindBin;
use lib ("$FindBin::Bin", "$FindBin::Bin/../lib/perl");

use Wily::HTTP;

Wily::HTTP::parseCommandLine();
Wily::HTTP::checkURLs();
